from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCurrencyField(XInterface, Protocol):
    def setValue(self, Value: float) -> None: ...
    def getValue(self) -> float: ...
    def setMin(self, Value: float) -> None: ...
    def getMin(self) -> float: ...
    def setMax(self, Value: float) -> None: ...
    def getMax(self) -> float: ...
    def setFirst(self, Value: float) -> None: ...
    def getFirst(self) -> float: ...
    def setLast(self, Value: float) -> None: ...
    def getLast(self) -> float: ...
    def setSpinSize(self, Value: float) -> None: ...
    def getSpinSize(self) -> float: ...
    def setDecimalDigits(self, nDigits: int) -> None: ...
    def getDecimalDigits(self) -> int: ...
    def setStrictFormat(self, bStrict: bool) -> None: ...
    def isStrictFormat(self) -> bool: ...
